<?php
ob_start();
session_start();
require "connect.php";

//echo "1. CHAMEI O WS";

if(isset($_POST['editar'])) {
  $id_pro 	= $_POST['idpro'];
  $ds_teste = $_POST['ds_teste'];
  $st_ativo=1;

  $sql = "update teste set st_ativo = $st_ativo, ds_teste = '$ds_teste'";

  $sql .= " where id = $id_pro";
  
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

  header("Location:teste_list.php");
}


if(isset($_POST['excluir'])) {
  $id_pro 	= $_POST['idpro'];
  $sql = "update teste set st_ativo = 0";
  $sql .= " where id = $id_pro";
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
  header("Location:teste_list.php");
}



if(isset($_POST['adicionar'])) {
  //Recebendo parametros do Form
  $ds_teste = $_POST['ds_nome'];
  $st_ativo = 1;
  //Elaborando query para insert 
  $sql = "insert into teste (st_ativo, ds_teste, dt_inclusao) values ($st_ativo,'$ds_teste', Now())";
  //Preparando statement
  $ok = true;
  $stmt = mysqli_prepare($conexao, $sql);
  if ($stmt) {
    //Executando o insert  
    $ok = mysqli_stmt_execute($stmt);
    if (!$ok) {
      $errorMsg = 'Erro: ' . mysqli_error($conexao);
    }
  } else {
    $ok = false;
    $errorMsg = "Erro: " . mysqli_error($conexao);
  }

  ///* No caso de ser transmitido por um helper adicionar no helper o hiden=helper e aqui determinar a resposta json. */
  if (isset($_POST['helper'])) {
    if ($ok) {
      $msg['text'] = 'Item inserido com sucesso';
      $msg['type'] = 'success';
    } else {
      $msg['text'] = $errorMsg;
      $msg['type'] = 'error';
    }
    header('Content-type: application/json');
    echo json_encode($msg);
  } else {
    // Voltando para lista
    header("Location:teste_list.php");
  }
  exit;
}
